Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

ezinformationcollection.php
Go to the documentation of this file.
1 <?php
21 class eZInformationCollection extends eZPersistentObject
22 {
26 static function definition()
27 {
28 return array( 'fields' => array( 'id' => array( 'name' => 'ID',
29 'datatype' => 'integer',
30 'default' => 0,
31 'required' => true ),
32 'contentobject_id' => array( 'name' => 'ContentObjectID',
33 'datatype' => 'integer',
34 'default' => 0,
35 'required' => true,
36 'foreign_class' => 'eZContentObject',
37 'foreign_attribute' => 'id',
38 'multiplicity' => '1..*' ),
39 'user_identifier' => array( 'name' => 'UserIdentifier',
40 'datatype' => 'string',
41 'default' => '',
42 'required' => true ),
43 'creator_id' => array( 'name' => 'CreatorID',
44 'datatype' => 'integer',
45 'default' => 0,
46 'required' => true,
47 'foreign_class' => 'eZUser',
48 'foreign_attribute' => 'contentobject_id',
49 'multiplicity' => '1..*' ),
50 'created' => array( 'name' => 'Created',
51 'datatype' => 'integer',
52 'default' => 0,
53 'required' => true ),
54 'modified' => array( 'name' => 'Modified',
55 'datatype' => 'integer',
56 'default' => 0,
57 'required' => true ) ),
58 'keys' => array( 'id' ),
59 'function_attributes' => array( 'attributes' => 'informationCollectionAttributes',
60 'data_map' => 'dataMap',
61 'object' => 'object',
62 'creator' => 'creator' ),
63 'increment_key' => 'id',
64 'class_name' => 'eZInformationCollection',
65 'name' => 'ezinfocollection' );
66 }
67
73 static function attributeHideList()
74 {
75 $attributes = array();
76 $ini = eZINI::instance( 'collect.ini' );
77 $attributes[] = $ini->variable( 'InfoSettings', 'TypeAttribute' );
78 $attributes[] = $ini->variable( 'EmailSettings', 'SendEmailAttribute' );
79 $attributes[] = $ini->variable( 'DisplaySettings', 'DisplayAttribute' );
80 $attributes[] = $ini->variable( 'DisplaySettings', 'RedirectURLAttribute' );
81 $attributes[] = $ini->variable( 'CollectionSettings', 'CollectAnonymousDataAttribute' );
82 $attributes[] = $ini->variable( 'CollectionSettings', 'CollectionUserDataAttribute' );
83 return $attributes;
84 }
85
95 static function removeContentObject( $delID )
96 {
97 if( !is_numeric( $delID ) )
98 {
99 return;
100 }
101
102 $db = eZDB::instance();
103 $db->begin();
104
105 $db->query( "DELETE FROM ezinfocollection
106 WHERE contentobject_id = '$delID'" );
107 $db->query( "DELETE FROM ezinfocollection_attribute
108 WHERE contentobject_id = '$delID'" );
109 $db->commit();
110 }
111
119 static function removeCollection( $collectionID )
120 {
121 if( !is_numeric( $collectionID ) )
122 {
123 return;
124 }
125
126 $db = eZDB::instance();
127
128 $db->query( "DELETE FROM ezinfocollection
129 WHERE id = '$collectionID'" );
130 $db->query( "DELETE FROM ezinfocollection_attribute
131 WHERE informationcollection_id = '$collectionID'" );
132 }
133
141 static function templateForObject( $object )
142 {
143 return eZInformationCollection::typeForObject( $object );
144 }
145
153 static function typeForObject( $object )
154 {
155 if ( !$object )
156 return false;
157 $class = $object->contentClass();
158 if ( !$class )
159 return false;
160
161 $ini = eZINI::instance( 'collect.ini' );
162 $typeList = $ini->variable( 'InfoSettings', 'TypeList' );
163
164 $classID = $class->attribute( 'id' );
165 $classIdentifier = $class->attribute( 'identifier' );
166
167 $type = false;
168
169 if ( isset( $typeList[$classID] ) )
170 $type = $typeList[$classID];
171 else if ( isset( $typeList[$classIdentifier] ) )
172 $type = $typeList[$classIdentifier];
173
174 $typeAttribute = $ini->variable( 'InfoSettings', 'TypeAttribute' );
175 if ( $typeAttribute )
176 {
177 $dataMap = $object->attribute( 'data_map' );
178 if ( isset( $dataMap[$typeAttribute] ) )
179 {
180 $type = $dataMap[$typeAttribute]->content();
181 if ( is_array( $type ) or
182 is_object( $type ) )
183 $type = false;
184 }
185 }
186
187 if ( !$type )
188 $type = $ini->variable( 'InfoSettings', 'Type' );
189
190 return $type;
191 }
192
197 static function allowAnonymous( $contentObject )
198 {
199 if ( !$contentObject )
200 return false;
201 $type = eZInformationCollection::typeForObject( $contentObject );
202
203 $ini = eZINI::instance( 'collect.ini' );
204 $collectAnonymousList = $ini->variable( 'CollectionSettings', 'CollectAnonymousDataList' );
205
206 $collectAnonymous = false;
207
208 if ( isset( $collectAnonymousList[$type] ) )
209 $collectAnonymous = $collectAnonymousList[$type];
210
211 $collectAnonymousAttribute = $ini->variable( 'CollectionSettings', 'CollectAnonymousDataAttribute' );
212 if ( $collectAnonymousAttribute )
213 {
214 $dataMap = $contentObject->attribute( 'data_map' );
215 if ( isset( $dataMap[$collectAnonymousAttribute] ) )
216 {
217 $collectAnonymous = $dataMap[$collectAnonymousAttribute]->content();
218 if ( is_array( $collectAnonymous ) or
219 is_object( $collectAnonymous ) )
220 $collectAnonymous = false;
221 }
222 }
223
224 if ( !$collectAnonymous )
225 $collectAnonymous = $ini->variable( 'CollectionSettings', 'CollectAnonymousData' );
226
227 if ( $collectAnonymous == 'enabled' )
228 $collectAnonymous = true;
229 else
230 $collectAnonymous = false;
231
232 return $collectAnonymous;
233 }
234
244 static function userDataHandling( $contentObject )
245 {
246 if ( !$contentObject )
247 return false;
248 $type = eZInformationCollection::typeForObject( $contentObject );
249
250 $ini = eZINI::instance( 'collect.ini' );
251 $userDataList = $ini->variable( 'CollectionSettings', 'CollectionUserDataList' );
252
253 $userData = false;
254
255 if ( isset( $userDataList[$type] ) )
256 $userData = $userDataList[$type];
257
258 $userDataAttribute = $ini->variable( 'CollectionSettings', 'CollectionUserDataAttribute' );
259 if ( $userDataAttribute )
260 {
261 $dataMap = $contentObject->attribute( 'data_map' );
262 if ( isset( $dataMap[$userDataAttribute] ) )
263 {
264 $userData = $dataMap[$userDataAttribute]->content();
265 if ( is_array( $userData ) or
266 is_object( $userData ) )
267 $userData = false;
268 }
269 }
270
271 if ( !$userData )
272 $userData = $ini->variable( 'CollectionSettings', 'CollectionUserData' );
273
274 if ( !in_array( $userData, array( 'multiple', 'unique', 'overwrite' ) ) )
275 $userData = 'unique';
276
277 return $userData;
278 }
279
280 static function sendOutEmail( $contentObject )
281 {
282 if ( !$contentObject )
283 return false;
284 $type = eZInformationCollection::typeForObject( $contentObject );
285
286 $ini = eZINI::instance( 'collect.ini' );
287 $sendEmailList = $ini->variable( 'EmailSettings', 'SendEmailList' );
288
289 $sendEmail = null;
290
291 if ( isset( $sendEmailList[$type] ) )
292 $sendEmail = $sendEmailList[$type] == 'enabled';
293
294 $sendEmailAttribute = $ini->variable( 'EmailSettings', 'SendEmailAttribute' );
295 if ( $sendEmailAttribute )
296 {
297 $dataMap = $contentObject->attribute( 'data_map' );
298 if ( isset( $dataMap[$sendEmailAttribute] ) )
299 {
300 $sendEmail = $dataMap[$sendEmailAttribute]->content();
301 if ( is_array( $sendEmail ) or
302 is_object( $sendEmail ) )
303 $sendEmail = null;
304 }
305 }
306
307 if ( $sendEmail === null )
308 $sendEmail = $ini->variable( 'EmailSettings', 'SendEmail' ) == 'enabled';
309
310 return $sendEmail;
311 }
312
313 static function displayHandling( $contentObject )
314 {
315 if ( !$contentObject )
316 return false;
317 $type = eZInformationCollection::typeForObject( $contentObject );
318
319 $ini = eZINI::instance( 'collect.ini' );
320 $displayList = $ini->variable( 'DisplaySettings', 'DisplayList' );
321
322 $display = false;
323
324 if ( isset( $displayList[$type] ) )
325 $display = $displayList[$type];
326
327 $displayAttribute = $ini->variable( 'DisplaySettings', 'DisplayAttribute' );
328 if ( $displayAttribute )
329 {
330 $dataMap = $contentObject->attribute( 'data_map' );
331 if ( isset( $dataMap[$displayAttribute] ) )
332 {
333 $display = $dataMap[$displayAttribute]->content();
334 if ( is_array( $display ) or
335 is_object( $display ) )
336 $display = false;
337 }
338 }
339
340 if ( !$display )
341 $display = $ini->variable( 'DisplaySettings', 'Display' );
342
343 if ( !in_array( $display, array( 'result', 'redirect', 'node' ) ) )
344 $display = 'result';
345
346 return $display;
347 }
348
349 static function redirectURL( $contentObject )
350 {
351 if ( !$contentObject )
352 return false;
353 $type = eZInformationCollection::typeForObject( $contentObject );
354
355 $ini = eZINI::instance( 'collect.ini' );
356 $redirectURLList = $ini->variable( 'DisplaySettings', 'RedirectURLList' );
357
358 $redirectURL = false;
359
360 if ( isset( $redirectURLList[$type] ) )
361 $redirectURL = $redirectURLList[$type];
362
363 $redirectURLAttribute = $ini->variable( 'DisplaySettings', 'RedirectURLAttribute' );
364 if ( $redirectURLAttribute )
365 {
366 $dataMap = $contentObject->attribute( 'data_map' );
367 if ( isset( $dataMap[$redirectURLAttribute] ) )
368 {
369 $redirectURL = $dataMap[$redirectURLAttribute]->content();
370 if ( is_array( $redirectURL ) or
371 is_object( $redirectURL ) )
372 $redirectURL = false;
373 }
374 }
375
376 if ( !$redirectURL )
377 $redirectURL = $ini->variable( 'DisplaySettings', 'RedirectURL' );
378
379 return $redirectURL;
380 }
381
386 static function fetch( $id, $asObject = true )
387 {
388 return eZPersistentObject::fetchObject( eZInformationCollection::definition(),
389 null,
390 array( 'id' => $id ),
391 $asObject );
392 }
393
398 static function fetchByUserIdentifier( $userIdentifier, $contentObjectID = false, $asObject = true )
399 {
400 $conditions = array( 'user_identifier' => $userIdentifier );
401 if ( $contentObjectID )
402 $conditions['contentobject_id'] = $contentObjectID;
403 return eZPersistentObject::fetchObject( eZInformationCollection::definition(),
404 null,
405 $conditions,
406 $asObject );
407 }
408
409 static function fetchCountForAttribute( $objectAttributeID, $value )
410 {
411 $db = eZDB::instance();
412 // Do a count on the value of collected integer info. Useful for e.g. polls
413 $valueSQL = "";
414 if ( $value !== false )
415 {
416 if ( is_integer( $value ) )
417 {
418 $valueSQL = " AND data_int='" . $db->escapeString( $value ) . "'";
419 }
420 }
421 $objectAttributeID =(int) $objectAttributeID;
422 $resArray = $db->arrayQuery( "SELECT count( ezinfocollection_attribute.id ) as count FROM ezinfocollection_attribute, ezinfocollection
423 WHERE ezinfocollection_attribute.informationcollection_id = ezinfocollection.id
424 AND ezinfocollection_attribute.contentobject_attribute_id = '" . $objectAttributeID . "' " . $valueSQL );
425
426 return $resArray[0]['count'];
427 }
428
429 static function fetchCollectionCountForObject( $objectID )
430 {
431 if( !is_numeric( $objectID ) )
432 {
433 return false;
434 }
435
436 $db = eZDB::instance();
437 $resultArray = $db->arrayQuery( 'SELECT COUNT( * ) as count FROM ezinfocollection WHERE contentobject_id=' . $objectID );
438
439 return $resultArray[0]['count'];
440 }
441
451 static function getSortArrayFromParam( $definition, $sortArray )
452 {
453 if ( count( $sortArray ) < 2 )
454 {
455 return null;
456 }
457
458 $sortField = $sortArray[0];
459
460 // Check if we have the specified sort_field in the definition
461 if ( isset( $definition[ 'fields' ][ $sortField ] ) )
462 {
463 $sortDir = $sortArray[1] ? 'asc' : 'desc';
464 $sorts = array( $sortField => $sortDir );
465 return $sorts;
466 }
467
468 eZDebug::writeWarning( 'Unknown sort field: ' . $sortField, __METHOD__ );
469 return null;
470 }
471
486 static function fetchCollectionsList( $contentObjectID = false, $creatorID = false , $userIdentifier = false, $limitArray = false, $sortArray = false, $asObject = true )
487 {
488 $conditions = array();
489 if ( $contentObjectID )
490 $conditions = array( 'contentobject_id' => $contentObjectID );
491 if ( $creatorID )
492 $conditions['creator_id'] = $creatorID;
493 if ( $userIdentifier )
494 $conditions['user_identifier'] = $userIdentifier;
495
496 $limit = null;
497 if ( isset( $limitArray['limit'] ) )
498 {
499 $limit = $limitArray;
500 if ( ! ( $limit['offset'] ) )
501 {
502 $limit['offset'] = 0;
503 }
504 }
505
506 $sorts = null;
507 if ( $sortArray !== false )
508 {
509 if ( count( $sortArray ) >= 2 )
510 {
511 $sorts = array();
512 $def = eZInformationCollection::definition();
513
514 if ( ! ( is_array( $sortArray[0] ) ) )
515 {
516 $sortArray = array( 0 => $sortArray );
517 }
518
519 foreach ( $sortArray as $sortElement )
520 {
521 $result = eZInformationCollection::getSortArrayFromParam( $def, $sortElement );
522 $sorts = array_merge($sorts, $result );
523 }
524 }
525 else
526 {
527 eZDebug::writeWarning( 'Too few parameters for setting sorting in fetch, ignoring', __METHOD__ );
528 }
529 }
530
531 return eZPersistentObject::fetchObjectList( eZInformationCollection::definition(),
532 null,
533 $conditions,
534 $sorts,
535 $limit,
536 $asObject );
537 }
538
548 static function fetchCollectionsCount( $contentObjectID = false, $creatorID = false, $userIdentifier = false )
549 {
550 $conditions = array();
551 if ( is_numeric( $contentObjectID ) )
552 $conditions = array( 'contentobject_id' => $contentObjectID );
553 if ( is_numeric( $creatorID ) )
554 $conditions['creator_id'] = $creatorID ;
555 if ( $userIdentifier )
556 $conditions['user_identifier'] = $userIdentifier;
557
558 $resultSet = eZPersistentObject::fetchObjectList( eZInformationCollection::definition(),
559 array(),
560 $conditions,
561 false,
562 null,
563 false,
564 false,
565 array( array( 'operation' => 'count( id )',
566 'name' => 'count' ) ) );
567 return $resultSet[0]['count'];
568 }
569
570 static function fetchCountList( $objectAttributeID )
571 {
572 $db = eZDB::instance();
573 // Do a count on the value of collected integer info. Useful for e.g. polls
574 $valueSQL = "";
575
576 $objectAttributeID =(int) $objectAttributeID;
577 $resArray = $db->arrayQuery( "SELECT data_int, count( ezinfocollection_attribute.id ) as count FROM ezinfocollection_attribute, ezinfocollection
578 WHERE ezinfocollection_attribute.informationcollection_id = ezinfocollection.id
579 AND ezinfocollection_attribute.contentobject_attribute_id = '" . $objectAttributeID . "' " . $valueSQL . "
580 GROUP BY data_int" );
581
582 $result = array();
583 foreach ( $resArray as $res )
584 {
585 $result[$res['data_int']] = $res['count'];
586 }
587
588 return $result;
589 }
590
591 function creator()
592 {
593 $creator = eZUser::fetch( $this->attribute( 'creator_id' ) );
594 return $creator;
595 }
596
597 function informationCollectionAttributes( $asObject = true )
598 {
599 $db = eZDB::instance();
600
601 $arrayRes = $db->arrayQuery( "SELECT ica.id, ica.informationcollection_id, ica.contentclass_attribute_id, ica.contentobject_attribute_id, ica.contentobject_id, ica.data_text, ica.data_int,
602 ica.data_float
603 FROM ezinfocollection_attribute ica, ezcontentclass_attribute
604 WHERE ezcontentclass_attribute.id=ica.contentclass_attribute_id
605 AND informationcollection_id='" . $this->ID . "'
606 AND ezcontentclass_attribute.version=0
607 ORDER BY ezcontentclass_attribute.placement" );
608
609 if ( $asObject )
610 {
611 $retArray = array();
612 foreach ( $arrayRes as $row )
613 {
614 $retArray[] = new eZInformationCollectionAttribute( $row );
615 }
616 }
617 else
618 {
619 $retArray = $arrayRes;
620 }
621
622 return $retArray;
623 }
624
631 function dataMap()
632 {
633 // Retrieve the indexed information collection attributes
634 $informationCollectionAttributes = $this->informationCollectionAttributes();
635
636 $retArray = array();
637
638 // Loop through each attribute hashing the array with the
639 // class attribute identifier associated with the information
640 // collection attribute
641 foreach ( $informationCollectionAttributes as $informationAttribute )
642 {
643 $contentClassAttribute = $informationAttribute->attribute( 'contentclass_attribute' );
644 $id = $contentClassAttribute->attribute( 'identifier' );
645 $retArray[$id] = $informationAttribute;
646 }
647
648 return $retArray;
649 }
650
651 function object()
652 {
653 return eZContentObject::fetch( $this->ContentObjectID );
654 }
655
659 static function currentUserIdentifier()
660 {
661 $user = null;
662 return eZInformationCollection::generateUserIdentifier( $user );
663 }
664
672 static function generateUserIdentifier( &$user )
673 {
674 if ( !$user )
675 {
676 $user = eZUser::currentUser();
677 }
678 $userIdentifierBase = false;
679 if ( $user->attribute( 'is_logged_in' ) )
680 {
681 $userIdentifierBase = 'ezuser-' . $user->attribute( 'contentobject_id' );
682 $userIdentifier = md5( $userIdentifierBase );
683 }
684 else
685 {
686 $userIdentifier = session_id();
687 //$userIdentifierBase = 'ezuser-anonymous-' . eZSys::clientIP();
688 }
689 return $userIdentifier;
690 }
691
695 static function create( $contentObjectID, $userIdentifier, $creatorID = false )
696 {
697 $timestamp = time();
698
699 if ( $creatorID === false )
700 {
701 $user = eZUser::currentUser();
702 $creatorID = $user->id();
703 }
704 $row = array( 'contentobject_id' => $contentObjectID,
705 'user_identifier' => $userIdentifier,
706 'creator_id' => $creatorID,
707 'created' => $timestamp,
708 'modified' => $timestamp );
709 return new eZInformationCollection( $row );
710 }
711
718 static function cleanup()
719 {
720 $db = eZDB::instance();
721 $db->begin();
722 eZInformationCollectionAttribute::cleanup();
723 $db->query( "DELETE FROM ezinfocollection" );
724 $db->commit();
725 }
726
731 static function isCollectingSensitiveData( $contentObject )
732 {
733 $ini = eZINI::instance( 'collect.ini' );
734
735 $collectSensitiveData = $ini->variable( 'CollectionSettings', 'CollectSensitiveData' );
736
737 if ( $contentObject instanceof eZContentObject )
738 {
739 $type = eZInformationCollection::typeForObject( $contentObject );
740 $collectSensitiveDataList = $ini->variable( 'CollectionSettings', 'CollectSensitiveDataList' );
741
742 if ( isset( $collectSensitiveDataList[$type] ) )
743 $collectSensitiveData = $collectSensitiveDataList[$type];
744 }
745
746 return $collectSensitiveData === 'true';
747 }
748 }
749
750 ?>
eZContentObject
Definition: ezcontentobject.php:17
eZContentObject\fetch
static fetch( $id, $asObject=true)
Definition: ezcontentobject.php:885
eZDB\instance
static instance( $databaseImplementation=false, $databaseParameters=false, $forceNewInstance=false)
Definition: ezdb.php:117
eZDebug\writeWarning
static writeWarning( $string, $label="", $backgroundClass="")
Definition: ezdebug.php:502
eZInformationCollectionAttribute
The class eZInformationCollectionAttribute handles collected attribute information.
Definition: ezinformationcollectionattribute.php:19
eZInformationCollectionAttribute\cleanup
static cleanup()
Definition: ezinformationcollectionattribute.php:209
eZInformationCollection
The class eZInformationCollection handles information collected by content objects.
Definition: ezinformationcollection.php:22
eZInformationCollection\fetchCountList
static fetchCountList( $objectAttributeID)
Definition: ezinformationcollection.php:570
eZInformationCollection\fetchCollectionsList
static fetchCollectionsList( $contentObjectID=false, $creatorID=false, $userIdentifier=false, $limitArray=false, $sortArray=false, $asObject=true)
Definition: ezinformationcollection.php:486
eZInformationCollection\fetchCountForAttribute
static fetchCountForAttribute( $objectAttributeID, $value)
Definition: ezinformationcollection.php:409
eZInformationCollection\informationCollectionAttributes
informationCollectionAttributes( $asObject=true)
Definition: ezinformationcollection.php:597
eZInformationCollection\removeCollection
static removeCollection( $collectionID)
Definition: ezinformationcollection.php:119
eZInformationCollection\cleanup
static cleanup()
Definition: ezinformationcollection.php:718
eZInformationCollection\userDataHandling
static userDataHandling( $contentObject)
Definition: ezinformationcollection.php:244
eZInformationCollection\templateForObject
static templateForObject( $object)
Definition: ezinformationcollection.php:141
eZInformationCollection\definition
static definition()
Definition: ezinformationcollection.php:26
eZInformationCollection\object
object()
Definition: ezinformationcollection.php:651
eZInformationCollection\create
static create( $contentObjectID, $userIdentifier, $creatorID=false)
Definition: ezinformationcollection.php:695
eZInformationCollection\creator
creator()
Definition: ezinformationcollection.php:591
eZInformationCollection\getSortArrayFromParam
static getSortArrayFromParam( $definition, $sortArray)
Definition: ezinformationcollection.php:451
eZInformationCollection\allowAnonymous
static allowAnonymous( $contentObject)
Definition: ezinformationcollection.php:197
eZInformationCollection\fetchCollectionsCount
static fetchCollectionsCount( $contentObjectID=false, $creatorID=false, $userIdentifier=false)
Definition: ezinformationcollection.php:548
eZInformationCollection\generateUserIdentifier
static generateUserIdentifier(&$user)
Definition: ezinformationcollection.php:672
eZInformationCollection\dataMap
dataMap()
Definition: ezinformationcollection.php:631
eZInformationCollection\currentUserIdentifier
static currentUserIdentifier()
Definition: ezinformationcollection.php:659
eZInformationCollection\sendOutEmail
static sendOutEmail( $contentObject)
Definition: ezinformationcollection.php:280
eZInformationCollection\redirectURL
static redirectURL( $contentObject)
Definition: ezinformationcollection.php:349
eZInformationCollection\fetch
static fetch( $id, $asObject=true)
Definition: ezinformationcollection.php:386
eZInformationCollection\removeContentObject
static removeContentObject( $delID)
Definition: ezinformationcollection.php:95
eZInformationCollection\typeForObject
static typeForObject( $object)
Definition: ezinformationcollection.php:153
eZInformationCollection\fetchCollectionCountForObject
static fetchCollectionCountForObject( $objectID)
Definition: ezinformationcollection.php:429
eZInformationCollection\isCollectingSensitiveData
static isCollectingSensitiveData( $contentObject)
Definition: ezinformationcollection.php:731
eZInformationCollection\fetchByUserIdentifier
static fetchByUserIdentifier( $userIdentifier, $contentObjectID=false, $asObject=true)
Definition: ezinformationcollection.php:398
eZInformationCollection\attributeHideList
static attributeHideList()
Definition: ezinformationcollection.php:73
eZInformationCollection\displayHandling
static displayHandling( $contentObject)
Definition: ezinformationcollection.php:313
eZPersistentObject
Definition: ezpersistentobject.php:33
eZPersistentObject\fetchObject
static fetchObject( $def, $field_filters, $conds, $asObject=true, $grouping=null, $custom_fields=null)
Definition: ezpersistentobject.php:213
eZPersistentObject\count
static count( $def, $conds=null, $field=null)
Definition: ezpersistentobject.php:187
eZPersistentObject\attribute
attribute( $attr, $noFunction=false)
Definition: ezpersistentobject.php:1329
eZPersistentObject\fetchObjectList
static fetchObjectList( $def, $field_filters=null, $conds=null, $sorts=null, $limit=null, $asObject=true, $grouping=false, $custom_fields=null, $custom_tables=null, $custom_conds=null)
Definition: ezpersistentobject.php:806
eZUser\fetch
static fetch( $id, $asObject=true)
Definition: ezuser.php:351
eZUser\currentUser
static currentUser()
Definition: ezuser.php:1716
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.